## org.apache.mahout.classifier.sequencelearning.hmm
Class PosTagger

    java.lang.Object
      org.apache.mahout.classifier.sequencelearning.hmm.PosTagger

    public final class PosTagger

extends Object

This class implements a sample program that uses a pre-tagged training data set to train an HMM model as a POS tagger. The training data is automatically downloaded from the following URL: http://www.jaist.ac.jp/~hieuxuan/flexcrfs/CoNLL2000-NP/train.txt It then trains an HMM Model using supervised learning and tests the model on the following test data set: http://www.jaist.ac.jp/~hieuxuan/flexcrfs/CoNLL2000-NP/test.txt Further details regarding the data files can be found at http://flexcrfs.sourceforge.net/#Case_Study

Method Summary
`static void` `main(String[] args)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### main

    public static void main(String[] args)
                     throws IOException

  Throws:
    `IOException`

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.